<?php
/***************************************************************************
 *                               db_update.php
 *                            -------------------
 *
 *   copyright            : 2003 Freakin' Booty ;-P & Antony Bailey
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//


if( !$userdata['session_logged_in'] )
{
	$header_location = ( @preg_match('/Microsoft|WebSTAR|Xitami/', getenv('SERVER_SOFTWARE')) ) ? 'Refresh: 0; URL=' : 'Location: ';
	header($header_location . append_sid("login.$phpEx?redirect=db_update.$phpEx", true));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, 'You are not authorised to access this page');
}


$page_title = 'Updating the database';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
echo '<tr><th>Updating the database</th></tr><tr><td><span class="genmed"><ul type="circle">';

$sql = array();
$sql[] = "CREATE TABLE " . $table_prefix . "ranks_config (`config_id` smallint(5) NOT NULL AUTO_INCREMENT,`cfg_mode` tinyint(1) NOT NULL ,`cfg_mode_id` smallint(5) DEFAULT '0',`rank_id` smallint(5) DEFAULT '0',`rankset_id` smallint(5) DEFAULT '0',PRIMARY KEY (`config_id`))";
$sql[] = "CREATE TABLE " . $table_prefix . "ranks_sets (`rankset_id` smallint(5) NOT NULL AUTO_INCREMENT, `rankset_title` varchar(255) NOT NULL, `rankset_desc` text NOT NULL, `rankset_hidden` tinyint(1) DEFAULT '1', PRIMARY KEY (`rankset_id`))";
$sql[] = "INSERT INTO " . $table_prefix . "ranks_sets (`rankset_id`, `rankset_title`, `rankset_desc`, `rankset_hidden`) VALUES (1, '" . (( isset($lang['Forum_default']) ) ? $lang['Forum_default'] : 'Forum default') . "', '" . (( isset($lang['Forum_default_desc']) ) ? $lang['Forum_default_desc'] : 'Default rank set, applies to all users.') . "', 0)";
$sql[] = "ALTER TABLE " . $table_prefix . "ranks ADD `rankset_id` smallint(5) DEFAULT '1'";
$sql[] = "ALTER TABLE " . $table_prefix . "users ADD `user_rankset_id` smallint(5) DEFAULT '1' NOT NULL AFTER `user_rank`";
$sql[] = "INSERT INTO " . $table_prefix . "config VALUES ('public_rank_sets', 1)";

for( $i = 0; $i < count($sql); $i++ )
{
	if( !$result = $db->sql_query ($sql[$i]) )
	{
		$error = $db->sql_error();

		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#FF0000"><b>Error:</b></font> ' . $error['message'] . '</li><br />';
	}
	else
	{
		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#00AA00"><b>Successfull</b></font></li><br />';
	}
}


echo '</ul></span></td></tr><tr><td class="catBottom" height="28">&nbsp;</td></tr>';

echo '<tr><th>End</th></tr><tr><td><span class="genmed">Installation is now finished. Please be sure to delete this file now.</span></td></tr>';
echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">Have a nice day</a></span></td></table>';

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>